﻿using FubarDev.FtpServer.AccountManagement;
using Serilog;
using System.Collections.Generic;
using System.Security.Claims;
using System.Threading.Tasks;
using FubarDev.FtpServer.FileSystem;
using FubarDev.FtpServer.AccountManagement.Anonymous;

namespace FtpAgent
{
    public class TestMembershipProvider : IMembershipProvider
    {

        public Task<MemberValidationResult> ValidateUserAsync(string username, string password)
        {
            Log.Debug($"user:{username} passwd:{password}");
            if (username == "admin" && password == "wj123456")
            {
                Log.Debug("登陆成功");
                var identity = new ClaimsIdentity();
                identity.AddClaim(new Claim(ClaimTypes.Name, username));
                identity.AddClaim(new Claim(ClaimTypes.Role, "admin"));
                return Task.FromResult(new MemberValidationResult(MemberValidationStatus.AuthenticatedUser, new ClaimsPrincipal(identity)));

            }
            Log.Debug("登陆失败");
            return Task.FromResult(new MemberValidationResult(MemberValidationStatus.InvalidLogin));
        }
    }
}
