﻿// See https://aka.ms/new-console-template for more information


namespace FtpAgent
{
    public class LinesItem
    {
        /// <summary>
        ///  返回文本内容
        /// </summary>
        public string? text { get; set; }
    }
    /// <summary>
    /// /识别数据类
    /// </summary>
    public class OcrResultData
    {
        /// <summary>
        ///  OCR识别结果
        /// </summary>
        public List<LinesItem>? lines { get; set; }

        /// <summary>
        /// OCR记录ID，后续需要传输匹配接口和提交结果
        /// </summary>
        public long ocrLogId { get; set; }
    }

}